
#### Incident Fields
##### SafeBreach Attack Ids
- List of SafeBreach attack ids that were simulated
##### SafeBreach Insight Category
- Security control category of the Insight
##### SafeBreach Affected Targets
- List of the affected target simulators (name, IP, number of remediation data points)
##### SafeBreach Severity
- A compound severity assigned to the Insight
##### SafeBreach Insight Id
- Unique identification number of the Insight
##### SafeBreach Results Link
- Link to the SafeBreach platform results page with all the related simulation results
##### SafeBreach Threat Groups
- List of attack groups (APTs) associated with the attacks simulated for this Insight
##### SafeBreach Insight Name
- Insight name representing the security issue exposed
##### SafeBreach Simulation Number
- Number of simulations executed as part of this Insight
##### SafeBreach Severity Score
- A compound severity score calculated for this Insight
##### SafeBreach Remediation Action
- Suggested remediation action to be taken to fix the issue
##### SafeBreach Attack Count
- Number of attacks that were simulated
##### SafeBreach Insight Risk Impact
- Risk impact of the Insight on the whole environment
##### SafeBreach Remediation Data Count
- Total number of indicators that were tested and represent the Insight issue
##### SafeBreach Remediation Data
- Vendor specific remediation data for Insight resolution
##### SafeBreach Affected Targets Count
- Number of the affected target simulators by this Insight
##### SafeBreach Simulation Id
- SafeBreach Simulation Id
##### SafeBreach Latest Simulation
- The latest simulation time related to this Insight

#### Indicator Types
- SafeBreach Command
- SafeBreach Domain
- SafeBreach Hash
- SafeBreach IP
- SafeBreach Port
- SafeBreach Process
- SafeBreach Protocol
- SafeBreach Registry
- SafeBreach URL

#### Integrations
- SafeBreach (deprecated)
- SafeBreach v2
    - SafeBreach automatically executes thousands of breach methods from its extensive and growing Hacker’s Playbook™ to validate security control effectiveness.  Simulations are automatically correlated with network, endpoint, and SIEM solutions providing data-driven SafeBreach Insights for holistic remediation to harden enterprise defenses.
#### Playbooks

##### SafeBreach - Create Incidents per Insight and Associate Indicators
- This is a sub-playbook that creates incidents per SafeBreach insight, enriched with all the related indicators and additional SafeBreach insight contextual information. Used in main SafeBreach playbooks, such as "SafeBreach - Process Behavioral Insights Feed” and "SafeBreach - Process Non-Behavioral Insights Feed".

##### SafeBreach - Process Non-Behavioral Insights Feed
- This playbook automatically remediates all non-behavioral indicators
  generated from SafeBreach Insights. To validate the remediation, it reruns the related
  insights and classifies the indicators as Remediated or Not Remediated.
##### SafeBreach - Rerun Single Insight
- This is an auxiliary sub-playbook that reruns a single insight using
  a specified Insight Id as an input. It is used to loop over insights as part of
  the main rerun playbook - "SafeBreach Rerun Insights".
##### SafeBreach - Rerun Insights
- This playbook reruns a SafeBreach insight based on Insight Id and waits
  until it completes.
  
##### SafeBreach - Compare and Validate Insight Indicators
- This playbook compares Insight indicators before and after being processed.
  It receives an Insight and it's indicators before validation, fetches updated indicators
  after rerunning the Insight, and then compares the results to validate mitigation.
  Indicators are classified as Remediated or Not Remediated based on their validated
  status and the appropriate field (SafeBreach Remediation Status) is updated.

#### Scripts
##### JoinListsOfDicts
- The key to match (only for left list if rightkey is specified). Support
    "CustomFields" if used explicitly.
##### ListGroupBy
- Group an output field from a list using multiple keys.

#### Layouts
- SafeBreach Command
- SafeBreach Domain
- SafeBreach Hash
- SafeBreach Insight
- SafeBreach IP
- SafeBreach Port
- SafeBreach Process
- SafeBreach Protocol
- SafeBreach Registry
- SafeBreach URL
#### Incident Types
#### SafeBreach Simulation
- SafeBreach custom incident layout with an extended section with a simulation information
#### SafeBreach Insight
- SafeBreach custom incident layout with an extended section with an insight information
